%define         configfilename        dot_wmbutton
%define         docfiles              COPYING README

Name:           wmbutton
Version:        0.6.1
Release:        %mkrel 1
Summary:        A very configurable dockapp for launching any program
License:        GPLv2
Group:          System/X11

URL:            http://greek0.net/~greek0/wmbutton.html
Source0:        http://greek0.net/~greek0/wmbutton/%{name}-%{version}.tar.gz

#Fix old X11 include path from /usr/X11R6 to /usr
Patch0:         %{name}-0.6.1-makefile.patch

BuildRequires:  ctags
BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel



%description
Wmbutton is a very efficient graphical launcher dockapp for
WindowMaker, or any window manager and desktop environment that
handles dock applications. It displays nine small icons which can be
clicked on with any of the three mouse buttons to start your favorite
programs. All possible actions are specified in an easy-to-understand
configuration file ".wmbutton", assumed to reside in your home
directory, and allowing for 27 different applications to be started
(one per mouse button and icon). An example configuration is provided
in %{_datadir}/%{name}/%{configfilename}.



%prep
%setup -q
%patch0 -p0 -b .old


%build
%make


%install
rm -rf %{buildroot}
chmod 644 %{docfiles}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 .wmbutton %{buildroot}%{_datadir}/%{name}/%{configfilename}
install -D -m 644 icons/*.xpm %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{docfiles}
%{_bindir}/wmbutton
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}
%{_datadir}/%{name}/*.xpm




%changelog

* Fri Sep 30 2011 eatdirt <eatdirt> 0.6.1-1.mga2
+ Revision: 150494
- imported package wmbutton


* Fri Sep 30 2011 Chris Ringeval <dirteat@gmail.com> 0.6.1-1.mga2
- import wmbutton, patch to fix old X11 include path
